Loading...
Searching...
No Matches
irq.h File Reference
Base API

C Irq interface. More...

`#include <l4/sys/kernel_object.h>`
`#include <l4/sys/ipc.h>`
`#include <l4/sys/rcv_endpoint.h>`
Include dependency graph for irq.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

l4_msgtag_t | l4_irq_detach (l4_cap_idx_t irq) L4_NOTHROW
| Detach from an interrupt source.
l4_msgtag_t | l4_irq_detach_u (l4_cap_idx_t irq, l4_utcb_t *utcb) L4_NOTHROW
| Detach from this interrupt.
l4_msgtag_t | l4_irq_bind_vcpu (l4_cap_idx_t irq, l4_cap_idx_t thread, l4_umword_t cfg) L4_NOTHROW
| Bind a thread to this Irq for vCPU interrupt forwarding.
l4_msgtag_t | l4_irq_bind_vcpu_u (l4_cap_idx_t irq, l4_cap_idx_t thread, l4_umword_t cfg, l4_utcb_t *utcb) L4_NOTHROW
| Bind a thread to this Irq for vCPU interrupt forwarding.
l4_msgtag_t | l4_irq_trigger (l4_cap_idx_t irq) L4_NOTHROW
| Trigger an IRQ.
l4_msgtag_t | l4_irq_trigger_u (l4_cap_idx_t irq, l4_utcb_t *utcb) L4_NOTHROW
| Trigger the object.
l4_msgtag_t | l4_irq_receive (l4_cap_idx_t irq, l4_timeout_t to) L4_NOTHROW
| Unmask and wait for specified IRQ.
l4_msgtag_t | l4_irq_receive_u (l4_cap_idx_t irq, l4_timeout_t timeout, l4_utcb_t *utcb) L4_NOTHROW
| Unmask and wait for this IRQ.
l4_msgtag_t | l4_irq_wait (l4_cap_idx_t irq, l4_umword_t *label, l4_timeout_t to) L4_NOTHROW
| Unmask IRQ and wait for any message.
l4_msgtag_t | l4_irq_wait_u (l4_cap_idx_t irq, l4_umword_t *label, l4_timeout_t timeout, l4_utcb_t *utcb) L4_NOTHROW
| Unmask IRQ and (open) wait for any message.
l4_msgtag_t | l4_irq_unmask (l4_cap_idx_t irq) L4_NOTHROW
| Unmask IRQ.
l4_msgtag_t | l4_irq_unmask_u (l4_cap_idx_t irq, l4_utcb_t *utcb) L4_NOTHROW
| Unmask this IRQ.

## Detailed Description

C Irq interface.

Definition in file irq.h.